using Shared.Enum;

namespace TrainingSvc.DTOs;

public class TrainingProgramDto
{
    public string Id { get; set; }
    public string Lang { get; set; }
    public string Name { get; set; }
    public string? Description { get; set; }
    public int WeekDuration { get; set; }
    public int NbDays { get; set; }
    public string OwnerId { get; set; }
    public EGoal Goal { get; set; }
    public EDifficulty Difficulty { get; set; }
    public List<SessionDto> Sessions { get; set; } = new();
}