using Shared.Infrastructure;
using TrainingSvc.Entities;

namespace TrainingSvc.Repositories;

public interface ITrainingProgramRepository : IRepository<TrainingProgram>
{
    Task<IEnumerable<TrainingProgram>> GetAllWithSessionsAsync();
    Task<TrainingProgram?> GetByIdWithSessionsAsync(string id);
}