using TrainingSvc.DTOs;

namespace TrainingSvc.IServices;

public interface IExerciceService
{
    Task<IEnumerable<ExerciceDto>> GetAllAsync();
    Task<ExerciceDto?> GetByIdAsync(string id);
    Task<ExerciceDto> CreateAsync(CreateExerciceInstanceDto dto);
    Task<bool> UpdateAsync(string id, UpdateExerciceInstanceDto dto);
    Task<bool> DeleteAsync(string id);
}