using TrainingSvc.DTOs;

namespace TrainingSvc.IServices;

public interface ISessionService
{
    Task<IEnumerable<SessionDto>> GetAllAsync();
    Task<SessionDto?> GetByIdAsync(string id);
    Task<SessionDto> CreateAsync(CreateSessionDto dto);
    Task<bool> UpdateAsync(string id, UpdateSessionDto dto);
    Task<bool> DeleteAsync(string id);
}