using UserSvc.Data;
using Microsoft.EntityFrameworkCore;
using AutoMapper;

var builder = WebApplication.CreateBuilder(args);

builder.Services.AddControllers();
builder.Services.AddAutoMapper(typeof(Program));
builder.Services.AddDbContext<UserDbContext>(opt =>
{
    opt.UseNpgsql(builder.Configuration.GetConnectionString("UserDb"));
});

var app = builder.Build();

//app.UseAuthorization();

app.MapControllers();

app.Run();
