﻿using AutoMapper;
using UserSvc.DTOs;
using UserSvc.Entities;

namespace UserSvc.RequestHelpers;

public class UserProfile : Profile
{
    public UserProfile()
    {
        CreateMap<User, UserDto>();
        CreateMap<UserDto, User>();
        CreateMap<UpdateUserDto, User>()
            .ForAllMembers(opt => opt.Condition((src, dest, srcMember) => srcMember != null));
        CreateMap<User, UpdateUserDto>();
    }
}